package cz.jzitnik.game.entities.items.registry.blocks.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.ResetDataOnMine;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.logic.services.farmland.FarmlandData;

import java.util.ArrayList;

@ResetDataOnMine
@BlockRegistry(value = "farmland", drops = "dirt")
public class FarmlandBlock extends Block {
    public FarmlandBlock() {
        super("farmland", SpriteLoader.SPRITES.FARMLAND, 1, ItemType.SHOVEL, new ArrayList<>());
        setData(new FarmlandData());
    }
}
