package cz.jzitnik.game.entities.items.registry.blocks.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.FallingBlock;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;

import java.util.ArrayList;

@FallingBlock
@BlockRegistry("gravel")
public class GravelBlock extends Block {
    public GravelBlock() {
        super("gravel", SpriteLoader.SPRITES.GRAVEL, 1, ItemType.SHOVEL, new ArrayList<>());
    }
}
