package cz.jzitnik.game.entities.items.registry.blocks.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

import java.util.List;

@BlockRegistry("obsidian")
public class ObsidianBlock extends Block {
    public ObsidianBlock() {
        super("obsidian", SpriteLoader.SPRITES.OBSIDIAN, 45, ItemType.PICKAXE, List.of(ToolVariant.DIAMOND));
    }
}
