package cz.jzitnik.game.entities.items.registry.blocks.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.FallingBlock;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;

import java.util.ArrayList;

@FallingBlock
@BlockRegistry("sand")
public class SandBlock extends Block {
    public SandBlock() {
        super("sand", SpriteLoader.SPRITES.SAND, 1, ItemType.SHOVEL, new ArrayList<>());
    }
}
