package cz.jzitnik.game.entities.items.registry.blocks.grassy;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.Farmable;
import cz.jzitnik.game.annotations.PlaceOnSolidNoHandler;
import cz.jzitnik.game.annotations.ResetDataOnMine;
import cz.jzitnik.game.annotations.ResetSpriteStateOnMine;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.logic.services.farmable.FarmableData;

@Farmable("wheat")
@PlaceOnSolidNoHandler
@ResetDataOnMine
@ResetSpriteStateOnMine
@BlockRegistry(value = "wheat", drops = "wheat_seeds")
public class WheatBlock extends Block {
    public WheatBlock() {
        super("wheat", SpriteLoader.SPRITES.WHEAT, 0);
        setData(new FarmableData());
        setGhost(true);
    }
}
