package cz.jzitnik.game.entities.items.registry.blocks.grassy.flowers;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.BreakableByWater;
import cz.jzitnik.game.annotations.BreaksFalling;
import cz.jzitnik.game.annotations.PlaceOnSolid;
import cz.jzitnik.game.entities.Block;

@PlaceOnSolid
@BreakableByWater
@BreaksFalling
@BlockRegistry(value = "blue_orchid")
public class BlueOrchidBlock extends Block {
    public BlueOrchidBlock() {
        super("blue_orchid", SpriteLoader.SPRITES.BLUE_ORCHID, 0);
        setGhost(true);
    }
}
