package cz.jzitnik.game.entities.items.registry.blocks.grassy.flowers;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.BreakableByWater;
import cz.jzitnik.game.annotations.BreaksFalling;
import cz.jzitnik.game.annotations.PlaceOnSolid;
import cz.jzitnik.game.entities.Block;

@PlaceOnSolid
@BreakableByWater
@BreaksFalling
@BlockRegistry(value = "cornflower")
public class CornflowerBlock extends Block {
    public CornflowerBlock() {
        super("cornflower", SpriteLoader.SPRITES.CORNFLOWER, 0);
        setGhost(true);
    }
}
