package cz.jzitnik.game.entities.items.registry.blocks.grassy.flowers;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.BreakableByWater;
import cz.jzitnik.game.annotations.BreaksFalling;
import cz.jzitnik.game.annotations.PlaceOnSolid;
import cz.jzitnik.game.annotations.TwoblockBlock;
import cz.jzitnik.game.entities.Block;

@PlaceOnSolid
@BreakableByWater
@BreaksFalling
@TwoblockBlock
@BlockRegistry(value = "lilac")
public class LilacBlock extends Block {
    public LilacBlock() {
        super("lilac", SpriteLoader.SPRITES.LILAC, 0);
        setGhost(true);
    }
}
