package cz.jzitnik.game.entities.items.registry.items.dyes;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.Fuel;
import cz.jzitnik.game.annotations.ItemRegistry;
import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.sprites.Dye;
import cz.jzitnik.game.sprites.WoolItem;

@Fuel(0.5)
@ItemRegistry("light_gray_dye")
public class LightGrayDyeItem extends Item {
    public LightGrayDyeItem() {
        super("light_gray_dye", "Light gray dye", ItemType.USELESS_ITEM, SpriteLoader.SPRITES.ITEM_DYE);
        setSpriteState(Dye.DyeState.LIGHT_GRAY);
    }
}
