package cz.jzitnik.game.entities.items.registry.items.dyes;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.Fuel;
import cz.jzitnik.game.annotations.ItemRegistry;
import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.sprites.Dye;
import cz.jzitnik.game.sprites.WoolItem;

@Fuel(0.5)
@ItemRegistry("pink_dye")
public class PinkDyeItem extends Item {
    public PinkDyeItem() {
        super("pink_dye", "Pink dye", ItemType.USELESS_ITEM, SpriteLoader.SPRITES.ITEM_DYE);
        setSpriteState(Dye.DyeState.PINK);
    }
}
