package cz.jzitnik.game.entities.items.registry.items.ores.diamond;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.ItemRegistry;
import cz.jzitnik.game.annotations.Smeltable;
import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemType;

@Smeltable("diamond")
@ItemRegistry("diamond_ore")
public class DiamondOreItem extends Item {
    public DiamondOreItem() {
        super("diamond_ore", "Diamond ore", ItemType.BLOCK, SpriteLoader.SPRITES.ITEM_DIAMOND_ORE);
    }
}
