package cz.jzitnik.game.entities.items.registry.items.ores.gold;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.ItemRegistry;
import cz.jzitnik.game.annotations.Smeltable;
import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemType;

@Smeltable("gold_ingot")
@ItemRegistry("gold_ore")
public class GoldOreItem extends Item {
    public GoldOreItem() {
        super("gold_ore", "Gold ore", ItemType.BLOCK, SpriteLoader.SPRITES.ITEM_GOLD_ORE);
    }
}
