package cz.jzitnik.game.entities.items.registry.items.tools.wooden;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.Fuel;
import cz.jzitnik.game.annotations.ItemRegistry;
import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

@Fuel(1.0)
@ItemRegistry("wooden_axe")
public class WoodenAxeItem extends Item {
    public WoodenAxeItem() {
        super("wooden_axe", "Wooden axe", ItemType.AXE, SpriteLoader.SPRITES.WOODEN_AXE, ToolVariant.WOODEN, 0.5, 59,
                false);
    }
}
