package cz.jzitnik.game.entities.items.registry.items.tools.wooden;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.Fuel;
import cz.jzitnik.game.annotations.ItemRegistry;
import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

@Fuel(1.0)
@ItemRegistry("wooden_shovel")
public class WoodenShovelItem extends Item {
    public WoodenShovelItem() {
        super("wooden_shovel", "Wooden shovel", ItemType.SHOVEL, SpriteLoader.SPRITES.WOODEN_SHOVEL, ToolVariant.WOODEN,
                0.3, 59, false);
    }
}
