package cz.jzitnik.game.handlers.events.handlers.mobs;

import cz.jzitnik.game.Game;
import cz.jzitnik.game.annotations.MineEventHandler;
import cz.jzitnik.tui.ScreenRenderer;

public class MobMineHandler {
    @MineEventHandler
    public void handle(ScreenRenderer screenRenderer, Game game, int x, int y) {
        var world = game.getWorld();

        var mobs = world[y-1][x].stream().filter(block -> block.isMob() && !block.getBlockId().equals("steve")).toList();
        world[y-1][x].removeAll(mobs);
        world[y][x].addAll(mobs);
    }
}
