package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.ResourceLoader;
import cz.jzitnik.tui.Sprite;

import java.util.Optional;

public class SimpleSprite extends Sprite {
    private final String resource;

    public SimpleSprite(String resource) {
        this.resource = resource;
    }

    public String getSprite() {
        return ResourceLoader.loadResource(resource).replaceAll("\033\\[38;5;1;48;5;16m", "\033[49m");
    }

    public String getSprite(Enum key) {
        throw new RuntimeException("Imposible state");
    }

    @Override
    public Optional<Class<Enum>> getStates() {
        return Optional.empty();
    }
}
