package cz.jzitnik.game.entities.items.registry.blocks.grassy.flowers;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.BreakableByWater;
import cz.jzitnik.game.annotations.BreaksFalling;
import cz.jzitnik.game.annotations.PlaceOnSolid;
import cz.jzitnik.game.entities.Block;

@PlaceOnSolid
@BreakableByWater
@BreaksFalling
@BlockRegistry(value = "azure_bluet")
public class AzureBluetBlock extends Block {
    public AzureBluetBlock() {
        super("azure_bluet", SpriteLoader.SPRITES.AZURE_BLUET, 0);
        setGhost(true);
    }
}
