package cz.jzitnik.game.entities.items.registry.blocks.grassy.flowers;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.BreakableByWater;
import cz.jzitnik.game.annotations.BreaksFalling;
import cz.jzitnik.game.annotations.PlaceOnSolid;
import cz.jzitnik.game.entities.Block;

@PlaceOnSolid
@BreakableByWater
@BreaksFalling
@BlockRegistry(value = "lily_of_the_valley")
public class LilyOfTheValleyBlock extends Block {
    public LilyOfTheValleyBlock() {
        super("lily_of_the_valley", SpriteLoader.SPRITES.LILY_OF_THE_VALLEY, 0);
        setGhost(true);
    }
}
