package cz.jzitnik.game.entities.items.registry.blocks.grassy.flowers;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.BreakableByWater;
import cz.jzitnik.game.annotations.BreaksFalling;
import cz.jzitnik.game.annotations.PlaceOnSolid;
import cz.jzitnik.game.entities.Block;

@PlaceOnSolid
@BreakableByWater
@BreaksFalling
@BlockRegistry(value = "orange_tulip")
public class OrangeTulipBlock extends Block {
    public OrangeTulipBlock() {
        super("orange_tulip", SpriteLoader.SPRITES.ORANGE_TULIP, 0);
        setGhost(true);
    }
}
