package cz.jzitnik.game.entities.items.registry.blocks.grassy.flowers;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.BreakableByWater;
import cz.jzitnik.game.annotations.BreaksFalling;
import cz.jzitnik.game.annotations.PlaceOnSolid;
import cz.jzitnik.game.entities.Block;

@PlaceOnSolid
@BreakableByWater
@BreaksFalling
@BlockRegistry(value = "white_tulip")
public class WhiteTulipBlock extends Block {
    public WhiteTulipBlock() {
        super("white_tulip", SpriteLoader.SPRITES.WHITE_TULIP, 0);
        setGhost(true);
    }
}
