package cz.jzitnik.game.entities.items.registry.blocks.ores.coal;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

import java.util.Arrays;

@BlockRegistry("coal_ore")
public class CoalOreBlock extends Block {
    public CoalOreBlock() {
        super("coal_ore", SpriteLoader.SPRITES.COAL_ORE, 15, ItemType.PICKAXE,
                Arrays.stream(ToolVariant.values()).toList());
    }
}
