package cz.jzitnik.game.entities.items.registry.blocks.work;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.Flamable;
import cz.jzitnik.game.blocks.Chest;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;

import java.util.ArrayList;

@Flamable
@BlockRegistry("chest")
public class ChestBlock extends Block {
    public ChestBlock() {
        super("chest", SpriteLoader.SPRITES.CHEST, 3, ItemType.AXE, new ArrayList<>(), new Chest());
    }
}
