package cz.jzitnik.game.entities.items.registry.items.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.ItemRegistry;
import cz.jzitnik.game.annotations.Smeltable;
import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemType;

@Smeltable("stone")
@ItemRegistry("cobblestone")
public class CobblestoneItem extends Item {
    public CobblestoneItem() {
        super("cobblestone", "Cobblestone", ItemType.BLOCK, SpriteLoader.SPRITES.ITEM_COBBLESTONE);
    }
}
