package cz.jzitnik.game.entities.items.registry.items.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.Fuel;
import cz.jzitnik.game.annotations.ItemRegistry;
import cz.jzitnik.game.annotations.Smeltable;
import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemType;

@Smeltable("coal")
@Fuel(1.5)
@ItemRegistry("oak_log")
public class OakLogItem extends Item {
    public OakLogItem() {
        super("oak_log", "Oak log", ItemType.BLOCK, SpriteLoader.SPRITES.ITEM_OAK_LOG);
    }
}
