package cz.jzitnik.game.entities.items.registry.items.food;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.ItemRegistry;
import cz.jzitnik.game.annotations.Smeltable;
import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemType;

@Smeltable("steak")
@ItemRegistry("beef")
public class BeefItem extends Item {
    public BeefItem() {
        super("beef", "Beef", ItemType.FOOD, SpriteLoader.SPRITES.ITEM_BEEF, 2);
    }
}
