package cz.jzitnik.game.entities.items.registry.items.food;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.ItemRegistry;
import cz.jzitnik.game.annotations.Smeltable;
import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemType;

@Smeltable("cooked_porkchop")
@ItemRegistry("porkchop")
public class PorkchopItem extends Item {
    public PorkchopItem() {
        super("porkchop", "Porkchop", ItemType.FOOD, SpriteLoader.SPRITES.ITEM_PORKCHOP, 3);
    }
}
