package cz.jzitnik.game.entities.items.registry.items.ores.iron;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.ItemRegistry;
import cz.jzitnik.game.annotations.Smeltable;
import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemType;

@Smeltable("iron_ingot")
@ItemRegistry("iron_ore")
public class IronOreItem extends Item {
    public IronOreItem() {
        super("iron_ore", "Iron ore", ItemType.BLOCK, SpriteLoader.SPRITES.ITEM_IRON_ORE);
    }
}
