package cz.jzitnik.game.threads.list;

import cz.jzitnik.game.annotations.ThreadRegistry;
import cz.jzitnik.game.entities.Player;
import lombok.AllArgsConstructor;

@AllArgsConstructor
@ThreadRegistry
public class NoHungerThread extends Thread {
    private final Player player;

    @Override
    public void run() {
        while (true) {
            try {
                Thread.sleep(3000);
                if (player.getHunger() == 0) {
                    player.dealDamage();
                }
            } catch (InterruptedException e) {
                break;
            }
        }
    }
}
